# mdlint

Validate markdown frontmatter using [JSON Schemas](https://json-schema.org)

## Usage
```shell
$ mdlint [OPTIONS] <SchemaFile> <MarkdownFile> 
```

### Options

| Option                             | Description                                                                           |
| ---------------------------------- | ------------------------------------------------------------------------------------- |
| `-g, --greedy`                     | Require all properties to be present even if they are not strictly required in schema |
| `-e, --empty-frontmatter`          | Treat missing frontmatter as empty frontmatter                                        |
| `-i, --ignore-missing-frontmatter` | Dont print an error when no frontmatter has been found                                |
| `-h, --help`                       | Print help                                                                            |
| `-V, --version`                    | Print version                                                                         |